import { SafeHtml } from "@angular/platform-browser";
export declare class EditorConfig {
    placeholderText: string;
    enableClearFormatting: boolean;
    enableBold: boolean;
    enableItalic: boolean;
    enableUnderline: boolean;
    enableStrikethrough: boolean;
    enableSubscript: boolean;
    enableSuperscript: boolean;
    enableMention: boolean;
    currentUserId: number | string;
    enableTextStyles: boolean;
    enableTextColor: boolean;
    showToolbar: boolean;
    editMode: boolean;
    mentionPosition: 'auto' | 'above' | 'below';
    initialInnerHTML: string | SafeHtml;
    defaultTextColor: 'Black' | 'Gainsboro' | 'Red' | 'Green' | 'Blue' | 'Yellow' | 'Cyan' | 'Magenta' | 'Light Gray' | 'Gray' | 'Maroon' | 'Olive' | 'Purple' | 'Teal' | 'Navy' | 'Coral' | 'Turquoise' | 'Salmon' | 'Lime' | 'Gold' | 'Orchid';
    enableBulletList: boolean;
    enableNumberedList: boolean;
    darkMode: boolean;
    enableLink: boolean;
    enableFile: boolean;
    initialFiles: {
        file: File;
        key: string;
    }[];
    enableCode: boolean;
    enableTable: boolean;
    enableDate: boolean;
    constructor(config?: Partial<EditorConfig>);
}
