import { ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MoreFormatComponent {
    onFormat: EventEmitter<string>;
    disabled: boolean;
    darkMode: boolean;
    isUnderline: boolean;
    isStrikethrough: boolean;
    isSubscript: boolean;
    isSuperscript: boolean;
    underlineDisabled: boolean;
    strikethroughDisabled: boolean;
    subscriptDisabled: boolean;
    superscriptDisabled: boolean;
    clearFormattingDisabled: boolean;
    enableUnderline: boolean;
    enableStrikethrough: boolean;
    enableSubscript: boolean;
    enableSuperscript: boolean;
    enableClearFormatting: boolean;
    isOpen: boolean;
    el: ElementRef<any>;
    onHostClick(event: MouseEvent): void;
    openDropdown(): void;
    onSelect(format: string, isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MoreFormatComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MoreFormatComponent, "more-format", never, { "disabled": { "alias": "disabled"; "required": false; }; "darkMode": { "alias": "darkMode"; "required": false; }; "isUnderline": { "alias": "isUnderline"; "required": false; }; "isStrikethrough": { "alias": "isStrikethrough"; "required": false; }; "isSubscript": { "alias": "isSubscript"; "required": false; }; "isSuperscript": { "alias": "isSuperscript"; "required": false; }; "underlineDisabled": { "alias": "underlineDisabled"; "required": false; }; "strikethroughDisabled": { "alias": "strikethroughDisabled"; "required": false; }; "subscriptDisabled": { "alias": "subscriptDisabled"; "required": false; }; "superscriptDisabled": { "alias": "superscriptDisabled"; "required": false; }; "clearFormattingDisabled": { "alias": "clearFormattingDisabled"; "required": false; }; "enableUnderline": { "alias": "enableUnderline"; "required": false; }; "enableStrikethrough": { "alias": "enableStrikethrough"; "required": false; }; "enableSubscript": { "alias": "enableSubscript"; "required": false; }; "enableSuperscript": { "alias": "enableSuperscript"; "required": false; }; "enableClearFormatting": { "alias": "enableClearFormatting"; "required": false; }; }, { "onFormat": "onFormat"; }, never, never, false, never>;
}
