import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TextStylesComponent implements OnInit {
    onStyleChange: EventEmitter<string>;
    disabled: boolean;
    darkMode: boolean;
    editorWidth$: Observable<number>;
    editorWidth: number;
    isOpen: boolean;
    selectedStyle: string;
    style: string;
    pSelected: boolean;
    h1Selected: boolean;
    h2Selected: boolean;
    h3Selected: boolean;
    h4Selected: boolean;
    h5Selected: boolean;
    h6Selected: boolean;
    el: ElementRef<any>;
    ngOnInit(): void;
    onHostClick(event: MouseEvent): void;
    openDropdown(): void;
    onSelect(style: string): void;
    setStyle(style: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextStylesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextStylesComponent, "text-styles", never, { "disabled": { "alias": "disabled"; "required": false; }; "darkMode": { "alias": "darkMode"; "required": false; }; "editorWidth$": { "alias": "editorWidth$"; "required": false; }; }, { "onStyleChange": "onStyleChange"; }, never, never, false, never>;
}
