import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DatepickerComponent implements OnInit, OnDestroy {
    darkMode: boolean;
    currentDate$: Observable<Date>;
    onSelectDate: EventEmitter<Date>;
    todayDate: Date;
    currentDate: Date;
    shownYear: number;
    shownMonth: number;
    shownMonthName: string;
    days: {
        day: number;
        month: number;
        year: number;
    }[];
    private subscriptions;
    ngOnInit(): void;
    ngOnDestroy(): void;
    goToPreviousMonth(): void;
    goToPreviousYear(): void;
    goToNextMonth(): void;
    goToNextYear(): void;
    pickDate(day: {
        day: number;
        month: number;
        year: number;
    }): void;
    generateCalendarDays(year: number, month: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerComponent, "datepicker", never, { "darkMode": { "alias": "darkMode"; "required": false; }; "currentDate$": { "alias": "currentDate$"; "required": false; }; }, { "onSelectDate": "onSelectDate"; }, never, never, false, never>;
}
