import { ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MoreOptionsComponent {
    onOptions: EventEmitter<string>;
    disabled: boolean;
    darkMode: boolean;
    mentionDisabled: boolean;
    linkDisabled: boolean;
    fileDisabled: boolean;
    codeDisabled: boolean;
    dateDisabled: boolean;
    enableMention: boolean;
    enableLink: boolean;
    enableFile: boolean;
    enableCode: boolean;
    enableDate: boolean;
    isOpen: boolean;
    el: ElementRef<any>;
    onHostClick(event: MouseEvent): void;
    openDropdown(): void;
    onSelect(option: string, isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MoreOptionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MoreOptionsComponent, "more-options", never, { "disabled": { "alias": "disabled"; "required": false; }; "darkMode": { "alias": "darkMode"; "required": false; }; "mentionDisabled": { "alias": "mentionDisabled"; "required": false; }; "linkDisabled": { "alias": "linkDisabled"; "required": false; }; "fileDisabled": { "alias": "fileDisabled"; "required": false; }; "codeDisabled": { "alias": "codeDisabled"; "required": false; }; "dateDisabled": { "alias": "dateDisabled"; "required": false; }; "enableMention": { "alias": "enableMention"; "required": false; }; "enableLink": { "alias": "enableLink"; "required": false; }; "enableFile": { "alias": "enableFile"; "required": false; }; "enableCode": { "alias": "enableCode"; "required": false; }; "enableDate": { "alias": "enableDate"; "required": false; }; }, { "onOptions": "onOptions"; }, never, never, false, never>;
}
