import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export interface Color {
    colorName: string;
    colorCode: string;
    selected: boolean;
}
export declare class TextColorComponent implements AfterViewInit {
    onColorChange: EventEmitter<Color>;
    defaultColorName: string;
    colors: Color[];
    darkMode: boolean;
    disabled: boolean;
    isOpen: boolean;
    selectedColor: Color | undefined;
    el: ElementRef<any>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onHostClick(event: MouseEvent): void;
    openDropdown(): void;
    onSelect(color: Color): void;
    setColor(color: Color): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextColorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextColorComponent, "text-color", never, { "defaultColorName": { "alias": "defaultColorName"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "darkMode": { "alias": "darkMode"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "onColorChange": "onColorChange"; }, never, never, false, never>;
}
